FindSomePaths

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.findpath
Class FindSomePaths

    java.lang.Object
      com.wscreation.findpath.FindSomePaths

    public class FindSomePaths

extends java.lang.Object

Field Summary
`private com.hp.hpl.jena.rdf.model.Resource[]` | `inputColumns`
`private java.lang.String` | `mappingFile`
`private com.hp.hpl.jena.rdf.model.Model` | `model`
`private com.hp.hpl.jena.rdf.model.Resource[]` | `outputColumns`
`Parcours_d2rq` | `parcours`

Constructor Summary
`FindSomePaths(java.lang.String mappingFile)`
`FindSomePaths(java.lang.String mappingFile, com.hp.hpl.jena.rdf.model.Resource[] input, com.hp.hpl.jena.rdf.model.Resource[] output)`

Method Summary
`java.util.Vector<PathNode>` | `findSomePaths()`
`com.hp.hpl.jena.rdf.model.Resource[]` | `getInputConlumn()`
`java.lang.String` | `getMappingFile()`
`com.hp.hpl.jena.rdf.model.Model` | `getModel()`
`com.hp.hpl.jena.rdf.model.Resource[]` | `getOutputColumn()`
`void` | `setInputColumn(com.hp.hpl.jena.rdf.model.Resource[] input)`
`void` | `setMappingFile(java.lang.String mappingFile)`
`void` | `setOutputColumn(com.hp.hpl.jena.rdf.model.Resource[] output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputColumns

    private com.hp.hpl.jena.rdf.model.Resource[] inputColumns

### outputColumns

    private com.hp.hpl.jena.rdf.model.Resource[] outputColumns

### parcours

    public Parcours_d2rq parcours

### mappingFile

    private java.lang.String mappingFile

### model

    private com.hp.hpl.jena.rdf.model.Model model

Constructor Detail

### FindSomePaths

    public FindSomePaths(java.lang.String mappingFile)

### FindSomePaths

    public FindSomePaths(java.lang.String mappingFile,
                         com.hp.hpl.jena.rdf.model.Resource[] input,
                         com.hp.hpl.jena.rdf.model.Resource[] output)

Method Detail

### setInputColumn

    public void setInputColumn(com.hp.hpl.jena.rdf.model.Resource[] input)

### setOutputColumn

    public void setOutputColumn(com.hp.hpl.jena.rdf.model.Resource[] output)

### setMappingFile

    public void setMappingFile(java.lang.String mappingFile)

### getInputConlumn

    public com.hp.hpl.jena.rdf.model.Resource[] getInputConlumn()

### getOutputColumn

    public com.hp.hpl.jena.rdf.model.Resource[] getOutputColumn()

### getMappingFile

    public java.lang.String getMappingFile()

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel()

### findSomePaths

    public java.util.Vector<PathNode> findSomePaths()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD